Package net.md_5.bungee.protocol.packet

# Class Respawn

java.lang.Object
net.md_5.bungee.protocol.DefinedPacket
net.md_5.bungee.protocol.packet.Respawn

public class Respawn extends DefinedPacket

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Respawn()`
  `Respawn(Object dimension, String worldName, long seed, short difficulty, short gameMode, short previousGameMode, String levelType, boolean debug, boolean flat, byte copyMeta, Location deathLocation, int portalCooldown, int seaLevel)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `byte`
  `getCopyMeta()`
  `Location`
  `getDeathLocation()`
  `short`
  `getDifficulty()`
  `Object`
  `getDimension()`
  `short`
  `getGameMode()`
  `String`
  `getLevelType()`
  `int`
  `getPortalCooldown()`
  `short`
  `getPreviousGameMode()`
  `int`
  `getSeaLevel()`
  `long`
  `getSeed()`
  `String`
  `getWorldName()`
  `void`
  `handle(AbstractPacketHandler handler)`
  `int`
  `hashCode()`
  `boolean`
  `isDebug()`
  `boolean`
  `isFlat()`
  `void`
  `read(io.netty.buffer.ByteBuf buf, ProtocolConstants.Direction direction, int protocolVersion)`
  `void`
  `setCopyMeta(byte copyMeta)`
  `void`
  `setDeathLocation(Location deathLocation)`
  `void`
  `setDebug(boolean debug)`
  `void`
  `setDifficulty(short difficulty)`
  `void`
  `setDimension(Object dimension)`
  `void`
  `setFlat(boolean flat)`
  `void`
  `setGameMode(short gameMode)`
  `void`
  `setLevelType(String levelType)`
  `void`
  `setPortalCooldown(int portalCooldown)`
  `void`
  `setPreviousGameMode(short previousGameMode)`
  `void`
  `setSeaLevel(int seaLevel)`
  `void`
  `setSeed(long seed)`
  `void`
  `setWorldName(String worldName)`
  `String`
  `toString()`
  `void`
  `write(io.netty.buffer.ByteBuf buf, ProtocolConstants.Direction direction, int protocolVersion)`

  ### Methods inherited from class net.md_5.bungee.protocol.DefinedPacket

  `nextProtocol, read, read, readArray, readArray, readBaseComponent, readBaseComponent, readComponentStyle, readEitherBaseComponent, readEnumSet, readFixedBitSet, readLengthPrefixed, readNullable, readNumberFormat, readProperties, readPublicKey, readString, readString, readStringArray, readStringMapKey, readTag, readTag, readUUID, readVarInt, readVarInt, readVarIntArray, readVarShort, setVarInt, toArray, write, write, writeArray, writeBaseComponent, writeComponentStyle, writeEitherBaseComponent, writeEnumSet, writeFixedBitSet, writeLengthPrefixed, writeNullable, writeNumberFormat, writeProperties, writePublicKey, writeString, writeString, writeStringArray, writeTag, writeUUID, writeVarInt, writeVarShort`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Respawn

    public Respawn()

  - ### Respawn

    public Respawn(Object dimension, String worldName, long seed, short difficulty, short gameMode, short previousGameMode, String levelType, boolean debug, boolean flat, byte copyMeta, Location deathLocation, int portalCooldown, int seaLevel)

- ## Method Details

  - ### read

    public void read(io.netty.buffer.ByteBuf buf, ProtocolConstants.Direction direction, int protocolVersion)
    Overrides:
      `read` in class `DefinedPacket`

  - ### write

    public void write(io.netty.buffer.ByteBuf buf, ProtocolConstants.Direction direction, int protocolVersion)
    Overrides:
      `write` in class `DefinedPacket`

  - ### handle

    public void handle(AbstractPacketHandler handler) throws Exception
    Specified by:
      `handle` in class `DefinedPacket`
    Throws:
      `Exception`

  - ### getDimension

    public Object getDimension()

  - ### getWorldName

    public String getWorldName()

  - ### getSeed

    public long getSeed()

  - ### getDifficulty

    public short getDifficulty()

  - ### getGameMode

    public short getGameMode()

  - ### getPreviousGameMode

    public short getPreviousGameMode()

  - ### getLevelType

    public String getLevelType()

  - ### isDebug

    public boolean isDebug()

  - ### isFlat

    public boolean isFlat()

  - ### getCopyMeta

    public byte getCopyMeta()

  - ### getDeathLocation

    public Location getDeathLocation()

  - ### getPortalCooldown

    public int getPortalCooldown()

  - ### getSeaLevel

    public int getSeaLevel()

  - ### setDimension

    public void setDimension(Object dimension)

  - ### setWorldName

    public void setWorldName(String worldName)

  - ### setSeed

    public void setSeed(long seed)

  - ### setDifficulty

    public void setDifficulty(short difficulty)

  - ### setGameMode

    public void setGameMode(short gameMode)

  - ### setPreviousGameMode

    public void setPreviousGameMode(short previousGameMode)

  - ### setLevelType

    public void setLevelType(String levelType)

  - ### setDebug

    public void setDebug(boolean debug)

  - ### setFlat

    public void setFlat(boolean flat)

  - ### setCopyMeta

    public void setCopyMeta(byte copyMeta)

  - ### setDeathLocation

    public void setDeathLocation(Location deathLocation)

  - ### setPortalCooldown

    public void setPortalCooldown(int portalCooldown)

  - ### setSeaLevel

    public void setSeaLevel(int seaLevel)

  - ### toString

    public String toString()
    Specified by:
      `toString` in class `DefinedPacket`

  - ### equals

    public boolean equals(Object o)
    Specified by:
      `equals` in class `DefinedPacket`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in class `DefinedPacket`